class Letter { 
  // set the variables for the letter instance
  
  float xpos; // x location
  float ypos;  // y location
  char letter; // letter 
  float speed;  // speed (a random value)
  float gravity;  // gravity (a random value)

 // the constructor sets the values for all the variables
  Letter (char l, float x) { 
    letter = l; 
    xpos = x;
    ypos = 20;
    // each letter has a random speed and gravity.
    speed = random (1, 8); 
    gravity = random (0.1, 0.6);
  } 

 // a function to move the letter using speed and gravity 
 // 'bounce' is added when the object reaches the foot of the screen
  void moveLetter() { 
    speed += gravity;
    ypos += speed;

    if (ypos>height) { 
      speed *= -0.95;
    }
  }
  

 // draw the letter on the screen at its x and y location
  void drawLetter() { 
    text (letter, xpos, ypos);
  }
} 